<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("co" . "nt" . "ex" . "t" => base64_decode("Y29udGV4dA=" . "="), "_b070ffda70d673baa2ab1a4ca" . "13c254c" => base64_decode("cHJldl91c2VybmFtZ" . "Q=="), "_539cf4259a149ca9dbb739b2" . "cdb7c608" => base64_decode("ZW1haWxfYWR" . "kcmVzcw=="), "_baec81a782" . "bb3d538149a" . "9225688246e" => base64_decode("ZXZlbnRf" . "c291cmNl"), "_28c85ce81fee6532980262893b6f2" . "425" => base64_decode("dXNlcm" . "5hbWU="), "user" . "_id" => base64_decode("dXNlcl9pZ" . "A=="), "_eb6cb4623735c07195e93" . "735d659236d" => base64_decode("cHJldl9lbWFpbF9hZGRy" . "ZXNz"), "_8cca4dd34e20c5344bb2a30f2" . "533c4e5" => base64_decode("ZnVsbF9u" . "YW1l"), "_5439477835f9c7cc26a9" . "88f88cb19553" => base64_decode("cHJldl9mdWx" . "sX25hbWU="), "_dd45fa0d6586ab8e73f6f6f116b1" . "a970" => base64_decode("cHJldl9" . "1c2VyX2" . "lk"));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["contex" . "t"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["cont" . "ext"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8cca4dd34e20c5344bb2a30f25" . "33c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_28c85ce81fee653298026" . "2893b6f2425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_539cf4259a149ca9dbb7" . "39b2cdb7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_dd45fa0d6586ab8e73f6f6f1" . "16b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_5439477835" . "f9c7cc26a98" . "8f88cb19553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_b070ffda" . "70d673baa" . "2ab1a4ca1" . "3c254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_eb6cb4623735c07195e9" . "3735d659236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_baec81a782bb3d538149a" . "9225688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}